Astrocal
API ReferenceBookingsV1Bookings

List bookings

Returns a paginated list of bookings for the authenticated organization. `sort` accepts `id` (default), `start_time` or `-start_time`. Because `starting_after` is an id-based cursor, combining it with a start_time sort returns 400.

GET
/v1/bookings

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

limit?integer
starting_after?string
event_type_id?string
assigned_host_id?string
status?string
start_date?string
end_date?string
sort?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/bookings"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "event_type_id": "a4ec4c3c-a3de-4a8a-983f-1791e72cea83",
      "calendar_connection_id": "ff9acdf1-5b4a-487f-8d79-314da6436092",
      "assigned_host": {
        "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43",
        "name": "string",
        "email": "string"
      },
      "status": "confirmed",
      "is_test": true,
      "start_time": "string",
      "end_time": "string",
      "invitee_name": "string",
      "invitee_email": "string",
      "invitee_timezone": "string",
      "attendee_count": 0,
      "attendees": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "email": "string",
          "timezone": "string",
          "is_primary": true
        }
      ],
      "notes": "string",
      "cancel_token": "string",
      "calendar_event_id": "string",
      "meeting_url": "string",
      "location": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "cancelled_at": "string",
      "cancel_reason": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}